<?php
/**
 * WeCodeArt Framework
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework 
 * @subpackage 	Markup\Inputs
 * @copyright   Copyright (c) 2022, WeCodeArt Framework
 * @since		5.0.0
 * @version		5.3.3
 */

namespace WeCodeArt\Support\Markup\Inputs;

defined( 'ABSPATH' ) || exit();

use WeCodeArt\Support\Markup\Inputs\Basic;
use function WeCodeArt\Functions\get_prop;

/**
 * Standard Inputs Markup
 */
class TextArea extends Basic {

    /**
     * Input's Type.
     *
     * @since   5.0.0
     * @var     string
     */
    public $type = 'textarea';
    
    /**
	 * Constructor 
	 */
	public function __construct( string $type = 'textarea', array $args = [] ) {
        $this->unique_id    = wp_unique_id( 'textarea-' );
        $this->style        = get_prop( $args, 'style', 'default' );
        $this->label        = get_prop( $args, 'label', '' );
        $this->_label       = get_prop( $args, '_label', 'before' );
        $this->attrs        = get_prop( $args, 'attrs', [] );
        $this->messages     = get_prop( $args, 'messages', [] );
    }

	/**
	 * Create HTML Inputs
	 *
	 * @since	unknown
	 * @version	5.1.8
	 */
	public function content() {
        ?>
        <textarea <?php $this->input_attrs( [ 'type' ] ); ?>><?php

            echo isset( $this->attrs['value'] ) ? esc_textarea( $this->attrs['value'] ) : '';

        ?></textarea>
        <?php
    }
}