<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Author Box Template
 * @since 		3.0.3
 * @version		5.3.3
 */

defined( 'ABSPATH' ) || exit();

use function WeCodeArt\Functions\get_prop;

$attributes = isset( $attributes ) ? $attributes : [];
$classnames = [ 'wp-block-post-author' ];

if( $value = get_prop( $attributes, 'textAlign', false ) ) {
    $classnames[] = 'has-text-align-' . $value;
}

if( $value = get_prop( $attributes, 'className', false ) ) {
    $classnames[] = $value;
}

wecodeart( 'styles' )->Utilities->load( 'gap-3' );

?>
<div class="<?php echo esc_attr( implode( ' ', $classnames ) ); ?>">
	<h3 class="wp-block-post-author__headline"><?php
			
		wecodeart( 'markup' )->SVG::render( 'user' );
		
		?><span><?php
		
			if( $byline = get_prop( $attributes, 'byline', esc_html__( 'About', 'wecodeart' ) ) ) {

				printf( '%s %s', $byline, sprintf( '<a href="%s" rel="author">%s</a>', $author->url, $author->name ) );

			}

		?></span>
	</h3>
	<div class="row gx-0 gap-3">
		<div class="wp-block-post-author__avatar col-auto"><?php

			echo get_avatar(
				$author->id,
				get_prop( $attributes, 'avatarSize', 90 ), 
				'',
				sprintf( esc_html__( '%s`s avatar', 'wecodeart' ), $author->name )
			);

		?></div>
		<div class="wp-block-post-author__description col"><?php
		
			echo wp_kses_post( $author->description );
			
			if( isset( $social ) && ! empty( $social ) ) {
				echo $social;
			}

			?>
		</div>
	</div>
</div>